<.live_component module={NewItemModalComponent} id="add_item_dialogue" pref_id={@pref_id} current_user={@current_user} />
<.live_component module={NoobHelperModalComponent} id="noob_help_dialogue" pref_id={@pref_id} current_user={@current_user} />

<button class="fob">
  <span class="material-icons">create</span>
</button>

<div id="resize-hook" phx-hook="Resize"/>

<div class="panels" id="panels" phx-hook="Drag">
  <div id="items-panel" class="panel">
    <h2>Items 
      <button phx-click="open_dialogue" phx-target="#add_item_dialogue">
        <span class="material-icons">add</span>
      </button>
    </h2>
    <div class="dropzone items" id="items">
      <%= for item <- @items do %>
        <C.item item={item} expand={@expanded_item_id} />
      <% end %>
    </div>
  </div>

  <div id="prefs-panel" class="prefs-panel panel">
    <div class="scroll">
      <h2>
        <%= if @edit_preflist_name do %>
          <.form onsubmit="return false;" let={f} for={@preflist_name_changeset} phx-submit="set_preflist_name">
            <%= text_input f, :name, value: @name %>
            <%= submit do %>
              <span class="material-icons">keyboard_return</span>
            <% end %>
          </.form>
        <% else %>
          <%= @name %>
          <button phx-click="edit_preflist_name">
            <span class="material-icons">edit</span>
          </button>
        <% end %>
        <button phx-click="import_many_items">
          <span class="material-icons">cloud_download</span>
        </button>
        <button phx-click="export_preflist">
          <span class="material-icons">backup</span>
        </button>
      </h2>
      <div class="pref-sections">
        <h3>Love it!</h3>
        <div class="pref-good pref">
          <div
               class="dropzone pref-insert-after"
               id="pref_good_add_at_start"

          >Tier 1 (love it)</div>
          <%= for {pref_level, i} <- Enum.with_index(@pref_good) do %>
            <div
              class="dropzone pref-level" id={"pref_level-#{pref_level.id}"}>
            <%= for pref <- pref_level.prefs do %>
              <C.pref pref={pref} expand={@expanded_item_id} />
            <% end %>
          </div>
          
          <div
               class="dropzone pref-insert-after"
               id={"pref_level_add_after-#{pref_level.id}"}
               >Tier <%= i+2 %> <%= if i+1 == Enum.count(@pref_good), do: "(eh)" %>
          </div>
        <% end %>
        </div>
        <h3>Hate it!</h3>
        <div class="pref-bad pref">
          <div
               class="dropzone pref-insert-after"
               id="pref_bad_add_at_start"
               >Tier <%= Enum.count(@pref_good) + 2 %> (ugh)</div>
          <%= for {pref_level, i} <- Enum.with_index(@pref_bad) do %>
            <div
                 class="dropzone pref-level" id={"pref_level-#{pref_level.id}"}>
            <%= for pref <- pref_level.prefs do %>
              <C.pref pref={pref} expand={@expanded_item_id} />
            <% end %>
          </div>
          
          <div
               class="dropzone pref-insert-after"
               id={"pref_level_add_after-#{pref_level.id}"}
               >Tier <%= i+3+Enum.count(@pref_good) %> <%= if i+1 == Enum.count(@pref_bad), do: "(hate it)" %>
          </div>
        <% end %>
        </div>
      </div>
    </div>
  </div>
</div>
